pkgname=("CUDA")
pkgver="10.0"
pkgrel="1.0"
pkgdesc="CUDA drivers"
arch=("any")
url="https://www.nvidia.com/"
license=("GPL")
makedepends=("binutils")

source=(
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-command-line-tools-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-compiler-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-core-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-cublas-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-cublas-dev-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-cudart-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-cudart-dev-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-cufft-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-cufft-dev-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-cuobjdump-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-cupti-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-curand-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-curand-dev-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-cusolver-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-cusolver-dev-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-cusparse-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-cusparse-dev-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-documentation-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-driver-dev-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-gdb-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-gdb-src-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-gpu-library-advisor-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-libraries-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-libraries-dev-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-license-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-memcheck-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-minimal-build-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-misc-headers-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-npp-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-npp-dev-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-nsight-compute-addon-l4t-10-0_10.0.326-1_all.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-nvcc-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-nvdisasm-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-nvgraph-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-nvgraph-dev-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-nvml-dev-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-nvprof-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-nvprune-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-nvrtc-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-nvrtc-dev-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-nvtx-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda-samples/cuda-samples-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-toolkit-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-tools-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/d/deepstream-4.0/deepstream-4.0_4.0.2-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cublas/libcublas10_10.1.0.25940999-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cublas/libcublas-dev_10.1.0.25940999-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cudnn/libcudnn7_7.6.3.28-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cudnn/libcudnn7-dev_7.6.3.28-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cudnn/libcudnn7-doc_7.6.3.28-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/libn/libnvidia-container/libnvidia-container0_0.9.0~beta.1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/libn/libnvidia-container/libnvidia-container-tools_0.9.0~beta.1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/libo/libopencv/libopencv_4.1.1-2-gd5a58aa75_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/libo/libopencv-dev/libopencv-dev_4.1.1-2-gd5a58aa75_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/libo/libopencv-python/libopencv-python_4.1.1-2-gd5a58aa75_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/libo/libopencv-samples/libopencv-samples_4.1.1-2-gd5a58aa75_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/libv/libvisionworks/libvisionworks_1.6.0.500n_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/libv/libvisionworks-dev/libvisionworks-dev_1.6.0.500n_all.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/libv/libvisionworks-samples/libvisionworks-samples_1.6.0.500n_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/libv/libvisionworks-sfm/libvisionworks-sfm_0.90.4_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/libv/libvisionworks-sfm-dev/libvisionworks-sfm-dev_0.90.4_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/libv/libvisionworks-tracking/libvisionworks-tracking_0.88.2_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/libv/libvisionworks-tracking-dev/libvisionworks-tracking-dev_0.88.2_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/n/nvidia-container-csv-cuda/nvidia-container-csv-cuda_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/n/nvidia-container-csv-cudnn/nvidia-container-csv-cudnn_7.6.3.28-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/n/nvidia-container-csv-tensorrt/nvidia-container-csv-tensorrt_6.0.1.10-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/n/nvidia-container-csv-visionworks/nvidia-container-csv-visionworks_1.6.0.500n_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/n/nvidia-container-runtime/nvidia-container-runtime_3.1.0-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/n/nvidia-container-toolkit/nvidia-container-toolkit_1.0.1-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/n/nvidia-docker2/nvidia-docker2_2.2.0-1_all.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/o/opencv-licenses/opencv-licenses_4.1.1-2-gd5a58aa75_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/v/vpi/vpi_0.1.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/v/vpi-dev/vpi-dev_0.1.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/graphsurgeon-tf_6.0.1-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/j/jetson-gpio/jetson-gpio-common_2.0.4_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/libnvinfer-bin_6.0.1-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/libnvinfer-dev_6.0.1-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/libnvinfer-doc_6.0.1-1+cuda10.0_all.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/libnvinfer-plugin-dev_6.0.1-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/libnvinfer-plugin6_6.0.1-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/libnvinfer-samples_6.0.1-1+cuda10.0_all.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/libnvinfer6_6.0.1-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/libnvonnxparsers-dev_6.0.1-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/libnvonnxparsers6_6.0.1-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/libnvparsers-dev_6.0.1-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/libnvparsers6_6.0.1-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/n/nvidia-jetpack/nvidia-jetpack_4.3-b134_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/j/jetson-gpio/python-jetson-gpio_2.0.4_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/python-libnvinfer_6.0.1-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/python-libnvinfer-dev_6.0.1-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/j/jetson-gpio/python3-jetson-gpio_2.0.4_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/python3-libnvinfer_6.0.1-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/python3-libnvinfer-dev_6.0.1-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/tensorrt_6.0.1.10-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/uff-converter-tf_6.0.1-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/v/vpi-samples/vpi-samples_0.1.0_arm64.deb"
)

md5sums=(
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
)

for pkg in ${source[@]}; do
	pkgname+=("$(echo $pkg | rev | cut -d"/" -f1 | rev | cut -d"_" -f1)")
done

for _p in "${pkgname[@]}"; do
	eval "package_$_p() {
		$(declare -f "package_${_p}")
		pkgname=$_p
		pkgdesc="$_p"
		provides=($_p)
		
		ar x $srcdir/$pkg --output $pkgdir
		tar  -xvf $pkgdir/data.tar.* -C $pkgdir
		rm $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary
		
		if [[ -e $pkgdir/lib/ ]]; then
			mkdir -p $pkgdir/usr/lib/
			mv $pkgdir/lib/* $pkgdir/usr/lib/
			rm -rf $pkgdir/lib
		fi

		if [[ -e $pkgdir/usr/sbin/ ]]; then
			mkdir -p $pkgdir/usr/bin
			mv $pkgdir/usr/sbin/* $pkgdir/usr/bin/
			rm -rf $pkgdir/usr/sbin
		fi

	}"
done
